COMM(1)

NOM
comm - Comparer ligne à ligne deux fichiers triés

SYNOPSIS
comm [OPTION] ... FICHIER1 FICHIER2

DESCRIPTION

Comparer les fichiers triés FICHIER1 et FICHIER2 ligne par ligne.

Sans option, la sortie se fait sur 3 colonnes. La première colonne contient les lignes présentes uniquement dans le FICHIER1, la seconde contient les lignes présentes uniquement dans le FICHIER2, et la troisième contient les lignes communes aux deux fichiers.

-1  supprimer la première colonne (les lignes présentes uniquement dans le FICHIER1)

-2  supprimer la deuxième colonne (les lignes présentes uniquement dans le FICHIER2)

-3  supprimer la troisième colonne (les lignes qui apparaissent dans les 2 fichiers)

--check-order
    vérifier que l'entrée est triée, même si toutes les lignes en entrée peuvent être appairées

--nocheck-order
    ne pas vérifier que l'entrée est bien triée

--output-delimiter=CHAÎNE
    séparer les colonnes avec CHAÎNE

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Notez que les comparaisons respectent les règles indiquées par « LC_COLLATE ».

EXEMPLES

comm -12 fichier1 fichier2
    N'afficher que les lignes présentes à la fois dans fichier1 et fichier2.

comm -3 fichier1 fichier2
    Afficher les ligne se trouvant dans fichier1 et pas dans fichier2, et inversement.

AUTEUR
Écrit par Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de comm à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
join(1), uniq(1)

Documentation complète : <http://www.gnu.org/software/coreutils/comm>
aussi disponible localement à l’aide de la commande : info '(coreutils) comm invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Sylvain Archenault <sylvain DOT archenault AT laposte DOT net> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.